org.eclipse.jdt.core.util

## Class ClassFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jdt.core.util.ClassFormatException

All Implemented Interfaces:
  Serializable

    public class ClassFormatException
    extends Exception

Exception thrown by a class file reader when encountering a error in decoding information contained in a .class file.

Since:
  2.0
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `ERROR_MALFORMED_UTF8`
`static int` `ERROR_TRUNCATED_INPUT`
`static int` `INVALID_ARGUMENTS_FOR_INVOKEINTERFACE`
`static int` `INVALID_BYTECODE`
`static int` `INVALID_CONSTANT_POOL_ENTRY`
`static int` `INVALID_MAGIC_NUMBER`
`static int` `INVALID_TAG_CONSTANT`
`static int` `TOO_MANY_BYTES`

### Constructor Summary

Constructors
Constructor and Description
`ClassFormatException(int errorID)` Constructor for ClassFormatException.
`ClassFormatException(String message)` Constructor for ClassFormatException.
`ClassFormatException(String message, Throwable cause)` Constructor for ClassFormatException.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ERROR_MALFORMED_UTF8

    public static final int ERROR_MALFORMED_UTF8

See Also:
  Constant Field Values

#### ERROR_TRUNCATED_INPUT

    public static final int ERROR_TRUNCATED_INPUT

See Also:
  Constant Field Values

#### INVALID_CONSTANT_POOL_ENTRY

    public static final int INVALID_CONSTANT_POOL_ENTRY

See Also:
  Constant Field Values

#### TOO_MANY_BYTES

    public static final int TOO_MANY_BYTES

See Also:
  Constant Field Values

#### INVALID_ARGUMENTS_FOR_INVOKEINTERFACE

    public static final int INVALID_ARGUMENTS_FOR_INVOKEINTERFACE

See Also:
  Constant Field Values

#### INVALID_BYTECODE

    public static final int INVALID_BYTECODE

See Also:
  Constant Field Values

#### INVALID_TAG_CONSTANT

    public static final int INVALID_TAG_CONSTANT

Since:
  3.0
See Also:
  Constant Field Values

#### INVALID_MAGIC_NUMBER

    public static final int INVALID_MAGIC_NUMBER

Since:
  3.0
See Also:
  Constant Field Values

### Constructor Detail

#### ClassFormatException

    public ClassFormatException(int errorID)

Constructor for ClassFormatException.

Parameters:
  `errorID` - the given error ID

#### ClassFormatException

    public ClassFormatException(String message)

Constructor for ClassFormatException.

Parameters:
  `message` - the message for the exception

#### ClassFormatException

    public ClassFormatException(String message,
                                Throwable cause)

Constructor for ClassFormatException.

Parameters:
  `message` - the message for the exception
  `cause` - the cause of the exception
Since:
  3.5